Skip to Content
0

Incompatible Software Components when installing UICUAN SP004 for SAP Hybris via SPAM

Feb 13, 2017 at 08:36 AM

241

avatar image

Hello!

I'm trying to install the latest SP for SAP HYbris Marketing, UICUAN (K-12004INUICUAN) via SPAM.

After clicking "Calculate Queue" it says "Could not calculate a valid queue".

The calculation log shows the following message:

At this point, I do not know how to proceed, because I have no idea what component is incompatible.

Currently I have the following software components installed:

Thanks in advance!

Daniel

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

10 Answers

Best Answer
Daniel Beck Feb 20, 2017 at 06:22 AM
1

Hello @all,

The problem was resolved with help from SAP.

The issue was, that there was a package named UICUAN120.SAR, an Attribute Change Package, that i was not able to install via SUM until I read note 1119856, recommended by SAP.

After installing the ACP via SPAM, I started the SUM again and it installed SAPCUAN12004 and UICUAN12004 without further problems.

Thank you for your suggestions and I hope this resolves your issues as well!

Kind regards

Daniel

Share
10 |10000 characters needed characters left characters exceeded
Lionel Passerino
Feb 15, 2017 at 11:36 AM
1

Hello Daniel,

I suggest you to use the Maintenance Planner and the SUM tool for the upgrade. The maintenance planner calculates all required components for your installation.

Best regards,

Lionel.

Share
10 |10000 characters needed characters left characters exceeded
Mauricio Ramírez Cuevas Feb 15, 2017 at 08:22 PM
1

Hello Daniel,

We have the same issue with UICUAN SP004 using SUM SP19. Something is wrong with the calculated queue by Maintenance Planner.

We've just doing a test with SP03 and it worked.

Please share If you get a solution.

Regards

Share
10 |10000 characters needed characters left characters exceeded
Matthias Reiner
Feb 16, 2017 at 09:25 AM
1

The team is working on investigating the issue - pls. stay tuned for updates.

Thanks for your patience.

Matthias

Share
10 |10000 characters needed characters left characters exceeded
Mauricio Ramírez Cuevas Feb 16, 2017 at 05:55 PM
1

Daniel,

We finally opened a ticket with SAP and we were no taking into account a detail based on SAP note 1885803 - RIN SAP Hybris Marketing 1.2

"SAP UI

For the UI, at least SAP_UI 7.51 SP00 is required. In the Maintenance Planner, please make sure to explicitly select SAP_UI 751 in the Alternative Selection -> User Interface Technology and ensure only SP00 is selected. SAP_UI 751 SP00 includes UI5 Version 1.40.4"

We are going to try with this condition, however SP01 is selected by default. In your case you already are in UI751 check if could be listed in "Deinstallable components" into SAINT.

Regards

Share
10 |10000 characters needed characters left characters exceeded
Mauricio Ramírez Cuevas Feb 22, 2017 at 04:06 AM
1

Hello Daniel,

Thank you for your help.

Loading ACP from SAINT/SPAM solved the issue. SUM worked well after that.

Unfortunatelly SAP did not give any feedback about it.

Be careful with RIN note 1885803 it's having a lot of changes.

Regards

--MauRiCio

Share
10 |10000 characters needed characters left characters exceeded
Daniel Beck Feb 15, 2017 at 01:57 PM
0

Hello Lionel,

Thanks for your answer!

I tried again using the SUM w/ Maintenance Planner for the upgrade. A problem occured while the queue ist calculated:

The two logs do not give me further useful information on why the queue could not be calculated.

Seems to me like the same problem as in transaction SPAM?

Best regards,

Daniel


Share
10 |10000 characters needed characters left characters exceeded
Daniel Beck Feb 16, 2017 at 06:12 AM
0

Hello Mauricio,

I'm glad to finally have found someone with the same problem! (:

We already tried to start the technical configuration with SP3 installed, the problem is, there are several notes to be implemented (mentioned in the release information note 1885803) and some of them are only compatible with SP004 of SAPCUAN. And without them the technical configuration fails.

If there is a solution I will gladly share it here!

Kind regards

Daniel

Share
10 |10000 characters needed characters left characters exceeded
Daniel Beck Feb 20, 2017 at 06:22 AM
0

Hello @all,

The problem was resolved with help from SAP.

The issue was, that there was a package named UICUAN120.SAR, an Attribute Change Package, that i was not able to install via SUM until I read note 1119856, recommended by SAP.

After installing the ACP via SPAM, I started the SUM again and it installed SAPCUAN12004 and UICUAN12004 without further problems.

Thank you for your suggestions and I hope this resolves your issues as well!

Kind regards

Daniel

Share
10 |10000 characters needed characters left characters exceeded
Adriana Gonçalves Silva de Medeiros Jun 01, 2017 at 03:53 AM
0

In upgrade process of the SAP upgrade with add-ons of third parties.

Our target is EHP8.

We generate the ACP with 3 sets of the Conditions Attributes, and one them has the components SAP_BASIS, 750 , True and SAP_ABA, 750, True.

We import the ACPs files with transaction SAINT, but in the phase PREP_EXTENSION/IS_SELECT, we took the decision "Keep version...". "Vendor key for Keep decision" stay empty.

And occur a error: "Invalid vendor key. Enter the correct vendor key or change decision."

I don´t know what is wrong.

Thank you very much!

Best regards!

Adriana Medeiros

Share
10 |10000 characters needed characters left characters exceeded